package com.xinelu.manage.mapper.chatrecord;

import com.xinelu.manage.domain.chatRecord.ChatRecord;
import com.xinelu.manage.dto.chatrecord.MarkReadDto;
import com.xinelu.manage.dto.chatrecord.MessageSearchDto;
import com.xinelu.manage.vo.chatrecord.MessageCenterVo;
import com.xinelu.manage.vo.chatrecord.MessageVo;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * 图文咨询-聊天记录Mapper接口
 *
 * @author xinelu
 * @date 2023-09-25
 */
public interface ChatRecordMapper {

	List<MessageVo> selectMegVoList(MessageSearchDto messageDto);

    /**
     * @Author mengkuiliang
     * @Description
     * @Date 2023-10-25 025 15:25
     * @Param [bindingNo, doctorNo]
     * @return com.xinelu.applet.vo.chatrecord.MessageCenterVo
     **/
    List<MessageVo> selectMegList(MessageSearchDto messageDto);

	MessageCenterVo selectOneChatRecord(@Param("consultationId")Long consultationId);
    /**
     * 查询图文咨询-聊天记录
     *
     * @param id 图文咨询-聊天记录主键
     * @return 图文咨询-聊天记录
     */
    ChatRecord selectChatRecordById(Long id);

    /**
     * 查询图文咨询-聊天记录列表
     *
     * @param chatRecord 图文咨询-聊天记录
     * @return 图文咨询-聊天记录集合
     */
    List<ChatRecord> selectChatRecordList(ChatRecord chatRecord);

    /**
     * 新增图文咨询-聊天记录
     *
     * @param chatRecord 图文咨询-聊天记录
     * @return 结果
     */
    int insertChatRecord(ChatRecord chatRecord);

    /**
     * 修改图文咨询-聊天记录
     *
     * @param chatRecord 图文咨询-聊天记录
     * @return 结果
     */
    int updateChatRecord(ChatRecord chatRecord);

    /**
     * 删除图文咨询-聊天记录
     *
     * @param id 图文咨询-聊天记录主键
     * @return 结果
     */
    int deleteChatRecordById(Long id);

    /**
     * 批量删除图文咨询-聊天记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteChatRecordByIds(Long[] ids);

	Integer updateReadStatus(ChatRecord chatRecord);

    int deleteMegs(@Param("ids") List<Long> ids);

	/**
	 * @Author mengkuiliang
	 * @Description 查询健康知识推送列表
	 * @Date 2023-10-25 025 11:27
	 * @Param [messageDto]
	 * @return java.lang.Object
	 **/
    List<MessageVo> getNoticList(MessageSearchDto messageDto);

    /**
     * @Author mengkuiliang
     * @Description 查询消息详情
     * @Date 2023-10-25 025 11:45
     * @Param [messageNo]
     * @return com.xinelu.applet.vo.chatrecord.MessageVo
     **/
    MessageVo getByNo(String messageNo);

    /**
     * @Author mengkuiliang
     * @Description 删除通知
     * @Date 2023-10-25 025 13:15
     * @Param [messageNo]
     * @return void
     **/
    void del(String messageNo);

    /**
     * @Author mengkuiliang
     * @Description 更新通知
     * @Date 2023-10-25 025 14:05
     * @Param [entity]
     * @return void
     **/
    void updateChatRecordOfNo(ChatRecord entity);

	List<ChatRecord> getList(ChatRecord chatRecord);

	/**
	 * @Author mengkuiliang
	 * @Description 查询最后一次通知记录
	 * @Date 2023-12-06 006 14:53
	 * @Param [query]
	 * @return com.xinelu.manage.domain.chatRecord.ChatRecord
	 **/
    ChatRecord getLast(MessageSearchDto query);
}
